<?php 
echo "<div class='event'><h1>Создать новость</h1></div>";
echo "<div class='content'>";
echo "<div class='block'>";
$x=mysql_querll("SELECT * FROM `kolhoz_news` WHERE `id` = '$x[id]' LIMIT 1");
if(isset($_GET['yes']))echo '<center>Новость успешно создана!</center><br/>';
echo '<form action="?admin=news&save" method="post">';
echo 'Заголовок:<br/>';
echo '<input name="name" type="text" value=""/><br/>';
echo 'Описание:<br/>';
echo '<textarea name="opis"></textarea><br/>';
echo 'Ссылка: (без http://)<br/>
<textarea name="ssylka"></textarea><br/>';
echo '<li>
<label>
<div>Доступна:</div>
<div><select name="dostup"><option selected="selected" value="1">Всем</option><option
value="2">Администрации</option></select></div>
</label>
</li>';
echo '<input type="submit" value="Создать"/>';
echo '</form>';

if($_POST['dostup']==1)$dostup=1;
if($_POST['dostup']==2)$dostup=2;

if(isset($_GET['save'])){
$name=htmlspecialchars(mysql_real_escape_string(trim($_POST['name'])));
$opis=htmlspecialchars(mysql_real_escape_string(trim($_POST['opis'])));
$ssylka=htmlspecialchars(mysql_real_escape_string(trim($_POST['ssylka'])));
if(!$opis)echo 'Должно быть заполнено хотяб Описание!';
mysql_querll("INSERT INTO `kolhoz_news` (`name`,`opis`,`id_user`,`ssylka`,`dostup`)VALUES('$name','$opis','".$ku['id']."','$ssylka','$dostup')");
mysql_querll("UPDATE `kolhoz_user` SET `read_news` = '0'".($_POST['dostup']==2?" WHERE `status` > '0'":null)."");
header("Location:?admin=news&yes");
}

include_once 'inc/foot.php';
?>